## TODO ##
# David - 3.0-0.beta1.7mdk - Build and test on 8.1



# David - 3.0-0.beta1-7mdk - Reminder: 8.0 is for IA32 and PPC
#                                      8.1 is for IA32 and IA64
#                                      8.2 is for IA32, IA64 and PPC


# David - 3.0-0.beta1-7mdk - Define macro used to control build options for
#                             each supported Mandrake Linux distributions
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

# David - 3.0-0.beta1-7mdk - Define if we build a stable release or not
#                            0 = stable - For final releases
#                            1 = unstable - For beta releases or for Cooker
%if %buildfor9_1
%define unstable 0
%else
%define unstable 0
%endif

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

%if "%{_lib}" == "lib64"
Name:		kdelibs64
%else
Name:		kdelibs
%endif
Summary:	K Desktop Environment - Libraries
Version:	3.1
Release:	58mdk
Epoch:      30000000
Group:		Graphical desktop/KDE
License:	ARTISTIC BSD GPL_V2 LGPL_V2 QPL_V1.0
URL:		http://www.kde.org/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
BuildRoot:	%_tmppath/%name-%version-%release-root
PreReq:		libarts
PreReq:		libqt3 >= 3.1.1

Source:		kdelibs-3.1.tar.bz2
Source1:	kdelibs-3.O-mdk-hicolor-index.desktop

# David - 3.0-0.beta1-7mdk - Remove all debug output (at least, all that it's
#                      possible) 
Source2:	kdelibs-3.0-config-kdebugrc

# David - 3.0-0.beta1-7mdk - Perl script used to generate Mandrake menus
#                            Source3 is for Linux-Mandrake 7.2 and 8.0
#                            Source4 is for Mandrake Linux 8.1 and 8.2
Source3:	kdelibs-3.0-kdedesktop2mdkmenu.pl-mdk-8.0
Source4:	kdelibs-3.0-kdedesktop2mdkmenu.pl



# David - 3.0-0.beta1-7mdk - From David FAURE - Display icons when Mandrake menu
#                            structure is used
Patch1:		kdelibs-3.0-iconssearch.patch.bz2

# David - 3.0-0.beta1-7mdk - Patch2: this one is for Mandrake Linux 8.0 (this
#                                    version doesn't support Simplified menu
#                                    structure)
#                            Patch3: this one is for Mandrake Linux 8.1 and
#                                    8.2 (it adds support for Simplified menu structure)
Patch2:		kdelibs-3.0-kstddirs_kmenuedit_or_kmenudrak-mdk-8.0.patch.bz2
Patch3:		kdelibs-3.0-kstddirs_kmenuedit_or_kmenudrake.patch.bz2

# David - 3.0-0.beta1-7mdk - Enable Cookies by default
Patch4:		kdelibs-3.0.8-kio-kcookiejar.patch.bz2




# Laurent - 3.0.2-3mdk define default preview size = 2Mo necessary for numeric photo
Patch9:		kdelibs-3.0.2-default-preview-size.patch.bz2



# Laurent - 3.0.2-6mdk - fix kate mem leak patch commited in kde3.0branhc
Patch12:	kdelibs-3.0.2-fix-kate-mem-leak.patch.bz2

# Laurent - 3.0.2-7mdk - fix item into file dialogbox
Patch13:	kdelibs-3.0.2-fix-item-in-kfile.patch.bz2


# lib64 updates
Patch16:	kde-lib64updates.patch.bz2

# Laurent -3.0.2-12mdk - add ix64 patch
Patch17: 	kdelibs-3.0.2-lib64dirs.patch.bz2

# Laurent - 3.0.2-13mdk - distribution list use klineeditdlg
Patch18:	kdelibs-3.0.2-distribution-list-use-klineedit3.patch.bz2

# Laurent - 3.0.2-15mdk - add cdrom entry in kfiledialogbox
Patch19:	kdelibs-3.0.2-add-cdrom-floppy-entry-in-kfiledialogbox.patch.bz2


# Laurent - 3.0.2-19mdk - add defualt kde-mdk color
Patch22:	kdelibs-3.1-fix-default-mdk-color.patch.bz2

# Laurent - 3.0.2-20mdk - Fix default Document path $home/document
Patch23:	kdelibs-3.0.2-default-document-path.patch.bz2


# Laurent -3.0.2-25mdk - fix crash when we add new printer
Patch25:	kmdbcreator.diff.bz2

# Laurent - 3.0.3-2mdk - don't scan dev entry
Patch26:	kdelibs-3.0.3-dont-add-dev-directory-entry.patch.bz2


# Laurent - 3.0.3-10mdk - fix klistview ensure visible when we rename item
Patch28:	kdelibs-3.0.3-fix-ensure-visible.patch.bz2

# Laurent - 3.0.3-10mdk - Preview icons by default
Patch29:	kdelibs-3.0.3-preview-icons-by-default.patch.bz2

# Laurent - 3.1-beta2-5mdk - temporary directory change to ~/tmp
Patch30:	kdelibs-3.1-change-temporary-directory.patch.bz2

# Laurent - 3.1-beta2-7mdk - add "clear history" item in khtml-lineeddit 
Patch31:	kdelibs-khtml-add-clear-completion-history2.patch.bz2


# Laurent - 3.1beta2-10mdk - add "send image" item
Patch101:	kdelibs-3.1-send-image.patch.bz2

# Laurent - 3.1beta2-11mdk - use double click to active file by default
Patch102:	kdelibs-3.1-select-file-with-single-click.patch.bz2

# Laurent - 3.1-rc1.2mdk - add view source shortcut - view document page info
Patch103:	kdelibs-3.1-rc1-add-short-cut-html-page-info.patch.bz2

# Laurent - 3.1-rc1.3mdk - Add tryExec test in servicemenu entry
Patch104:	kdelibs-3.1-fix-test-exec-in-servicemenu.patch.bz2

# Laurent - 3.1-rc2-3mdk - Fix double-click in tree-view
Patch105:	kdelibs-3.1-fix-double-click-in-treeview.patch.bz2

# Laurent - 3.1-rc3-2mdk fix double click on klistbox
Patch106:	kdelibs-3.1-fix-klistbox-double-click.patch.bz2


# Laurent - 3.1-rc5-3mdk disable selectAll action in kefind
Patch108:	kdelibs-3.1-disable-selectall-in-kfind.patch.bz2

# Laurent -3.1-rc6-3mdk fix invokehelp
# Remove it for kde 3.2 commited in cvs
Patch109:	kdelibs-3.1-fix-invokehelp.patch.bz2

# Laurent - 3.1-10mdk : add spell check for text area
# Don't apply it directly, apply it on source and make "make -f Makefile.cvs"
Patch110:	kdelibs-3.1-add-khtml-textarea-spell-check.patch.bz2

Patch111:	kdelibs-3.1-add-khtml-textarea-spell-check.patch2.bz2
Patch112:	kdelibs-3.1-fix-add-spell-check.patch.bz2
Patch113:	kdelibs-3.1-fix-khtml-makefile-in-add-spell-check.patch.bz2

# Laurent -3.1-12mdk : fix khtml-spell check mem leak merge it with patch112
Patch114:	kdelibs-3.1-fix-add-spell-check-mem-leak.patch.bz2

# Laurent - 3.1-17mdk : readd clear history patch
Patch115:	kdelibs-3.1-add-clear-history.patch.bz2


# Laurent - 3.1-28mdk : fix www.lik-sang.com crash
Patch116:	kdelibs-3.1-fix-kjs-crash.patch.bz2

# Laurent - 3.1-26mdk : fix default mdk style
Patch200:	kdelibs-3.1-load-default-mdk-style.patch.bz2

# Laurent - 3.1-27mdk : Add mdk translation
Patch201:	kdelibs-3.1-add-translate.patch.bz2


# Laurent - default mdk font
Patch203:	kdelibs-3.1-fix-kde-default.patch.bz2

# Laurent -3.1-38mdk : fix launch diskdrake
Patch204:	kdelibs-3.1-fix-call-diskdrake.patch.bz2

# Laurent - 3.1-41mdk : add focus after click on speedbar
Patch205:	kdelibs-3.1-add-focus-to-location-lineedit.patch.bz2

# Laurent - 3.1-42mdk : Fix David Baudens bug, add mozilla extension in import mozilla bookmarks dialogbox
Patch206:	kdelibs-3.1-fix-mozilla-files-extension.patch.bz2

# Laurent - 3.1-45mdk : fix title bar default mdk color
Patch207:	kdelibs-3.1-titlebar-default-mdk-color.patch.bz2

# Laurent - 3.1-48mdk : fix keramik bug
Patch208:	kdelibs-3.1-fix.patch.bz2

# Laurent - 3.1-49mdk : fix kiconview bug
Patch209:	kdelibs-3.1-fix-kfileiconview.patch.bz2

# Laurent -3.1-50mdk : add fix from kde3.1branch
Patch210:	kdelibs-3.1-fix-2003-03-04.2.patch.bz2
Patch211:	kdelibs-3.1-fix-2003-03-04.patch.bz2
Patch212:	kdelibs-3.1-fix-2003-03-04.3.patch.bz2

# Laurent - 3.1-51mdk : fix kfiledialogbox, backport "pressing return activates slotOk twice" fix
Patch213:	kdelibs-3.1-fix-kfiledialog-double-click.patch.bz2	

# Laurent - 3.1-52mdk : fix from kde3.1 branch
Patch214:	kdelibs-3.1-fix-2003-03-05.patch.bz2

# Laurent - 3.1-53mdk : fix from kde3.1 branch
Patch215:	kdelibs-3.1-fix-2003-03-06.patch.bz2

# Laurent - 3.1-53mdk : fix from kde3.1 branch
Patch216:	kdelibs-3.1-fix-2003-03-06.2.patch.bz2


# Laurent - 3.1-54mdk : fix from kde3.1 branch
Patch217:	kdelibs-3.1-fix-2003-03-07.patch.bz2

# Laurent - 3.1-54mdk : fix icon text spacing
Patch218:	kdelibs-3.1-fix-icon-text-spacing.patch.bz2

# Laurent - fix aspell as default
Patch219:	kdelibs-3.1-fix-aspell-as-default.patch.bz2

# Laurent - fix from kde3.1
Patch220:	kdelibs-fix-2003-03-08.patch.bz2

# Laurent - fix from kde3.1
Patch221:	kdelibs-3.1-fix-kate.patch.bz2

# Laurent - fix mem leak in dcopclient
Patch222:	kdelibs-3.1-fix-mem-leak-in-dcopclient.patch.bz2

# Laurent - fix kate redraw error
Patch223:	kdelibs-3.1-fix-kate-redraw.patch.bz2

# Laurent - fix kdirwatch + supermount
Patch224:	kdelibs-3.1-fix-kdirwatch-with-read-only-file.patch.bz2

# Laurent - fix mdk colors
Patch225:	kdelibs-3.1-fix-default-mdk-colors.patch.bz2

# Laurent - fix kde3.1 branch
Patch226:	kdelibs-3.1-fix-2003-03-11.patch.bz2
Patch227:	kdelibs-3.1-fix-2003-03-11.2.patch.bz2

%if %unstable
PreReq:		gdb
%endif

# to remove
Obsoletes:	kdelibs3.0 kdelibs3 kdelibs3-devel



%if %buildfor8_2
BuildRequires: libqt3-devel >= 3.0.5 libxslt1-devel libxml2 >= 2.4.11 libxslt1
BuildRequires: libopenssl0-devel libcups1-devel >= 1.1.14
BuildRequires: libpcre0-devel libarts-devel
%endif

%if %buildfor9_0 
BuildRequires: libqt3-devel >= 3.0.5-2mdk libxslt1-devel libxml2 >= 2.4.11 libxslt1
BuildRequires: libopenssl0-devel libcups1-devel >= 1.1.14
BuildRequires: libpcre0-devel libfam0-devel libarts-devel
BuildRequires: bzip2-devel libart_lgpl-devel libarts-devel libjpeg-devel libldap-devel
BuildRequires: libpng-devel libsasl-devel libtiff-devel libvorbis-devel pam-devel
BuildRequires: XFree86-devel libalsa-devel
%endif

%if %buildfor9_1
BuildRequires: libqt3-devel >= 3.1.1 libxslt1-devel libxml2 >= 2.4.11 libxslt1
BuildRequires: libopenssl0.9.7-devel libcups1-devel >= 1.1.14
BuildRequires: libpcre0-devel libfam0-devel libarts-devel
BuildRequires: bzip2-devel libart_lgpl-devel libarts-devel libjpeg-devel libldap-devel
BuildRequires: libpng-devel libsasl-devel libtiff-devel libvorbis-devel pam-devel
BuildRequires: XFree86-devel libalsa-devel
%endif


Conflicts:		kdepim =< 2.2.2-5, kdeartwork =< 2.2.2-3mdk, koffice =< 1.1.1-14mdk, kdelibs-sound =< 2.2.2-48mdk, kdebase =< 2.2.2-93mdk, mandrake-mime =< 0.1-5mdk, 

Requires:		libarts , kdelibs-common

%description
Libraries for the K Desktop Environment.


%package devel
Group:		Development/KDE and Qt
Summary:	Header files and documentation for compiling KDE applications.
PreReq:		%name = %version-%release, libqt3-devel

Conflicts:	kdebase-devel =< 2.2.2-93mdk

%description devel
This package includes the header files you will need to compile applications 
for KDE. Also included is the KDE API documentation in HTML format for easy 
browsing.

%package static-devel
Group:      Development/KDE and Qt
Summary:    static lib for compiling static KDE applications.
PreReq:     %name = %version-%release, libqt3-devel


%description static-devel
This package contains static lib to compile applications


%package 	-n kdelibs-common
Group:      Development/KDE and Qt
Summary:    Config file and icons file for %name.
PreReq:     %name = %version-%release, libqt3

%description -n kdelibs-common
This packages contains all icons, config file etc...


%prep

%setup -q -nkdelibs-3.1
%patch1 -p1 -b .mdkicon
%patch3 -p1
%patch4 -p1

%patch9 -p1
#%patch16 -p1 -b .lib64updates
%patch17 -p1
%patch18 -p1


# rc2!!!!!!!!!!!!!
%patch22 -p1
%patch23 -p1
%patch29 -p1

# Todo merge patch30 and patch19
%patch30 -p1
%patch19 -p1



%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch108 -p1
%patch109 -p1

%patch111 -p1
%patch112 -p1
%patch113 -p1

%patch114 -p1
%patch115 -p1

%patch116 -p1

%patch200 -p1
%patch201 -p1

%patch203 -p1

%patch204 -p1

%patch205 -p1

%patch206 -p1

%patch207 -p1

%patch208 -p1

%patch210 -p1
%patch211 -p1
%patch212 -p1

%patch213 -p1
%patch214 -p1
%patch215 -p1
%patch216 -p1

%patch217 -p1
%patch218 -p1

%patch219 -p1

%patch220 -p1

%patch221 -p1
%patch222 -p1
%patch223 -p1

%patch224 -p1
%patch225 -p1

%patch226 -p1
%patch227 -p1

%build
#make -f Makefile.cvs
QTDIR=%qtdir
export LD_LIBRARY_PATH=$QTDIR/%_lib:$LD_LIBRARY_PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%ifarch %ix86
CFLAGS="`echo %optflags |sed -e 's/-O3 -fomit-frame-pointer/-O2/'`" CXXFLAGS="`echo %optflags |sed -e 's/-O3 -fomit-frame-pointer/-O2/'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
                    --libdir=%_libdir \
                    --build=%_target_platform \
                    --host=%_target_platform \
%if %unstable					
                    --enable-debug=full \
%else
					--disable-debug \
%endif
%ifarch %ix86 
		            --enable-fast-malloc=full \
%endif					
					--enable-libfam \
					--enable-final \
                    --enable-shared \
                    --enable-static \
                    --enable-fast-install=yes \
                    --disable-embedded \
                    --disable-palmtop \
                    --disable-rpath \
                    --enable-mitshm \
                    --disable-arts-gsl \
                    --enable-cups \
                    --enable-pcre \
                    --with-gnu-ld \
                    --with-pic \
                    --with-xinerama \
                    --with-distribution="Mandrake Linux Cooker %_target_cpu - Cooker" \
                    --with-alsa \
                    --with-ipv6-lookup=auto \
                    --x-includes=/usr/X11R6/include \
                    --x-libraries=/usr/X11R6/%_lib

%make



%install
rm -fr %buildroot

# David - 3.0-0.beta1-7mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

# David - 3.0-0.beta1-7mdk - Don't use makeinstall macro. It seems that it
#                            works fine but in fact, it's not the case.
make DESTDIR=%buildroot install

install -d -m 0755 %buildroot/%_iconsdir/mdk-hicolor/
install -m 0644 %SOURCE1 %buildroot/%_iconsdir/mdk-hicolor/index.desktop
(
cd %buildroot/%_iconsdir/mdk-hicolor/
# David - 3.0-0.beta1.7mdk - We can't use relative links as long as we install
#                            KDE 3 in /usr/. To fix when it will the case
ln -s /usr/share/icons/mini ./mini
ln -s /usr/share/icons/large ./large
ln -s /usr/share/icons ./normal
)

# David - 3.0-0.beta1-7mdk - Remove debug output
%if !%unstable
install -d -m 0755 %buildroot%_datadir/config/
install -m 0644 %SOURCE2 %buildroot/%_datadir/config/kdebugrc
%endif

# David - 3.0-0.beta1-7mdk - Script used to convert KDE .desktop to Mandrake's
#                            menu configartion files
install -m 0755 %SOURCE4 %buildroot/%_bindir/kdedesktop2mdkmenu.pl

# Fix default desktop size
perl -pi -e "s|DesktopDefault=48|DesktopDefault=32|" %buildroot/%_datadir/icons/crystalsvg/index.desktop

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig





%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)

#
%dir %_docdir/HTML/
#
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/common/
%doc %_docdir/HTML/en/common/*.css
%doc %_docdir/HTML/en/common/*.dcl
%doc %_docdir/HTML/en/common/*.html
%doc %_docdir/HTML/en/common/*.png
%doc %_docdir/HTML/en/common/*.template
%doc %_docdir/HTML/en/common/*-license
#

#
%_libdir/dcopserver.la
%_libdir/kaddprinterwizard.la
%_libdir/kbuildsycoca.la
%_libdir/kconf_update.la
%_libdir/kcookiejar.la
%_libdir/kded.la
%_libdir/kio_http_cache_cleaner.la
%_libdir/kio_uiserver.la
%_libdir/klauncher.la
%_libdir/knotify.la
%_libdir/libDCOP.la
%_libdir/libcupsdconf.la
%_libdir/libkdecore.la
%_libdir/libkdefakes.la
%_libdir/libkdefx.la
%_libdir/libkdeprint.la
%_libdir/libkdeprint_management.la
%_libdir/libkdesu.la
%_libdir/libkdeui.la
%_libdir/libkhtml.la
%_libdir/libkio.la
%_libdir/libkjs.la
%_libdir/libkmid.la
%_libdir/libkparts.la
%_libdir/libkscreensaver.la
%_libdir/libkspell.la
%_libdir/libktexteditor.la
%_libdir/libkcertpart.la
%_libdir/libkdesasl.la
%_libdir/libkscript.la
%_libdir/libshellscript.la
%_libdir/libvcard.la
%_libdir/libkatepartinterfaces.la
%_libdir/libkabc.la
%_libdir/libartskde.la
%_libdir/libkmediaplayer.la
%_libdir/libkutils.la
%_libdir/libkjava.la
#
%_libdir/dcopserver.so
%_libdir/kaddprinterwizard.so
%_libdir/kbuildsycoca.so
%_libdir/kconf_update.so
%_libdir/kcookiejar.so
%_libdir/kded.so
%_libdir/kio_http_cache_cleaner.so
%_libdir/kio_uiserver.so
%_libdir/klauncher.so
%_libdir/knotify.so
%_libdir/libartskde.so*
%_libdir/libcupsdconf.so
%_libdir/libDCOP.so*
%_libdir/libkdecore.so*
%_libdir/libkdefakes.so*
%_libdir/libkdefx.so*
%_libdir/libkdeprint.so*
%_libdir/libkdeprint_management.so*
%_libdir/libkdesu.so*
%_libdir/libkdeui.so*
%_libdir/libkhtml.so*
%_libdir/libkio.so*
%_libdir/libkjs.so*
%_libdir/libkmid.so*
%_libdir/libkparts.so*
%_libdir/libkscreensaver.so*
%_libdir/libkspell.so*
%_libdir/libktexteditor.so*
%_libdir/libkcertpart.so*
%_libdir/libkdesasl.so*
%_libdir/libkscript.so*
%_libdir/libshellscript.so*
%_libdir/libvcard.so*
%_libdir/libkatepartinterfaces.so*
%_libdir/libkabc.so*
%_libdir/libkmediaplayer.so*
%_libdir/libkutils.so*
%_libdir/libkjava.so.*
#
%_libdir/kde3/*.la
%_libdir/kde3/*.so
#
%dir %_libdir/kde3/plugins/
%dir %_libdir/kde3/plugins/designer/
%_libdir/kde3/plugins/designer/*.so
%_libdir/kde3/plugins/designer/*.la
#
%dir %_libdir/kde3/plugins/styles/
%_libdir/kde3/plugins/styles/*.la
%_libdir/kde3/plugins/styles/*.so
#
#


%files -n kdelibs-common
%defattr(-,root,root,-)
#
#
#
%dir %_datadir/config/
%config(noreplace) %_datadir/config/kdebug.areas
%config(noreplace) %_datadir/config/kdebugrc
%config(noreplace) %_datadir/config/ksslcalist
%config(noreplace) %_datadir/config/language.codes
%config(noreplace) %_datadir/config/kthemestylerc
#
%dir %_datadir/config/colors/
%config(noreplace) "%_datadir/config/colors/40 Colors"
%config(noreplace) %_datadir/config/colors/Royal
%config(noreplace) %_datadir/config/colors/Web
#
%dir %_datadir/config/ui/
%config(noreplace) %_datadir/config/ui/ui_standards.rc
%config(noreplace) %_datadir/config/ui/kprintpreviewui.rc
%config(noreplace) %_datadir/config/kdeprintrc
#
#
%dir %_datadir/apps/LICENSES/
%doc %_datadir/apps/LICENSES/ARTISTIC
%doc %_datadir/apps/LICENSES/BSD
%doc %_datadir/apps/LICENSES/GPL_V2
%doc %_datadir/apps/LICENSES/LGPL_V2
%doc %_datadir/apps/LICENSES/QPL_V1.0
#
%dir %_datadir/apps/kdewidgets/
%dir %_datadir/apps/kdewidgets/pics/
%_datadir/apps/kdewidgets/pics/*.png
#
#
%_bindir/artsmessage
%_bindir/checkXML
%_bindir/cupsdconf
%_bindir/cupsdoprint
%_bindir/dcop
%_bindir/dcopidl
%_bindir/dcopidl2cpp
%_bindir/dcopserver
%_bindir/imagetops
%_bindir/kbuildsycoca
%_bindir/kconf_update
%_bindir/kcookiejar
%_bindir/kdb2html
%_bindir/kde-config
%_bindir/kded
%_bindir/kdedesktop2mdkmenu.pl
%_bindir/kdeinit
%_bindir/kdeinit_shutdown
%_bindir/kdeinit_wrapper
%_bindir/kdesu_stub
%_bindir/kio_http_cache_cleaner
%_bindir/kio_uiserver
%_bindir/klauncher
%_bindir/kmailservice
%_bindir/knotify
%_bindir/kpac_dhcp_helper
%_bindir/ksendbugmail
%_bindir/kshell
%_bindir/kwrapper
%_bindir/lnusertemp
%_bindir/make_driver_db_cups
%_bindir/meinproc
%_bindir/preparetips
%_bindir/xml2man
%_bindir/xmlizer
%_bindir/kdontchangethehostname
%_bindir/kfile
#
%_bindir/dcopclient
%_bindir/dcopfind
%_bindir/dcopobject
%_bindir/dcopref
%_bindir/dcopserver_shutdown
%_bindir/dcopstart
%_bindir/kab2kabc
%_bindir/kaddprinterwizard
%_bindir/ktelnetservice
%_bindir/make_driver_db_lpr
%_bindir/kimage_concat
%_bindir/kinstalltheme
%_bindir/kioslave
%_bindir/ksvgtopng
#
%dir %_datadir/apps/kabc/
%dir %_datadir/apps/kabc/formats/
%_datadir/apps/kabc/formats/*.desktop
%dir %_datadir/apps/kabc/plugins/
%_datadir/apps/kabc/plugins/*.desktop
#
%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/*.pl
%_datadir/apps/kconf_update/*.upd
#
%dir %_datadir/apps/kdeprint/
%_datadir/apps/kdeprint/*.desktop
%_datadir/apps/kdeprint/*.png
%_datadir/apps/kdeprint/*.ps
%_datadir/apps/kdeprint/*.template
%_datadir/apps/kdeprint/apsdr*
%_datadir/apps/kdeprint/lprngtooldriver1
#
%dir %_datadir/apps/kdeprint/tools/
%_datadir/apps/kdeprint/tools/*.desktop
#
%dir %_datadir/apps/kdeprint/filters/
%_datadir/apps/kdeprint/filters/*.xml
%_datadir/apps/kdeprint/filters/*.desktop
#
%dir %_datadir/apps/kdeprint/icons/
%dir %_datadir/apps/kdeprint/icons/crystalsvg/
%dir %_datadir/apps/kdeprint/icons/crystalsvg/16x16/
%dir %_datadir/apps/kdeprint/icons/crystalsvg/16x16/actions/
%_datadir/apps/kdeprint/icons/crystalsvg/16x16/actions/*.png
#
%dir %_datadir/apps/kdeprint/icons/crystalsvg/16x16/apps/
%_datadir/apps/kdeprint/icons/crystalsvg/16x16/apps/*.png

%dir %_datadir/apps/kdeprint/icons/crystalsvg/22x22/
%dir %_datadir/apps/kdeprint/icons/crystalsvg/22x22/actions/
%_datadir/apps/kdeprint/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/kdeprint/icons/crystalsvg/32x32/
%dir %_datadir/apps/kdeprint/icons/crystalsvg/32x32/actions/
%_datadir/apps/kdeprint/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/kdeprint/icons/crystalsvg/32x32/apps/
%_datadir/apps/kdeprint/icons/crystalsvg/32x32/apps/*.png


#
%dir %_datadir/apps/kdeprint/pics/
%_datadir/apps/kdeprint/pics/*.png
#
%dir %_datadir/apps/kdeprint/plugins/
%_datadir/apps/kdeprint/plugins/*.print
#
%dir %_datadir/apps/kdeui/
%dir %_datadir/apps/kdeui/pics/
%_datadir/apps/kdeui/pics/*.png
#
%dir %_datadir/apps/khtml/
%_datadir/apps/khtml/*.rc
#
%dir %_datadir/apps/khtml/css/
%_datadir/apps/khtml/css/*.css
#
%dir %_datadir/apps/khtml/icons/
%dir %_datadir/apps/khtml/icons/crystalsvg/
%dir %_datadir/apps/khtml/icons/crystalsvg/16x16/
%dir %_datadir/apps/khtml/icons/crystalsvg/16x16/actions/
%_datadir/apps/khtml/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/khtml/icons/crystalsvg/22x22/
%dir %_datadir/apps/khtml/icons/crystalsvg/22x22/actions/
%_datadir/apps/khtml/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/khtml/icons/crystalsvg/32x32/
%dir %_datadir/apps/khtml/icons/crystalsvg/32x32/actions/
%_datadir/apps/khtml/icons/crystalsvg/32x32/actions/*.png


#
%dir %_datadir/apps/kio_uiserver/
%dir %_datadir/apps/kio_uiserver/icons/
%dir %_datadir/apps/kio_uiserver/icons/crystalsvg/
%dir %_datadir/apps/kio_uiserver/icons/crystalsvg/16x16/
%dir %_datadir/apps/kio_uiserver/icons/crystalsvg/16x16/apps/
%_datadir/apps/kio_uiserver/icons/crystalsvg/16x16/apps/*.png
#
%dir %_datadir/apps/kjava/
%_datadir/apps/kjava/*.jar
%_datadir/apps/kjava/*.policy
#
%dir %_datadir/apps/knotify/
%_datadir/apps/knotify/eventsrc
#
# David - 2.2-0.beta1.1mdk - To develop later
%dir %_datadir/apps/ksgmltools2/
%_datadir/apps/ksgmltools2/*
#
%dir %_datadir/apps/kssl/
%_datadir/apps/kssl/ca-bundle.crt
#
%dir %_datadir/apps/kstyle/
%dir %_datadir/apps/kstyle/themes/
%_datadir/apps/kstyle/themes/*.themerc
#
%dir %_datadir/apps/kcertpart/
%_datadir/apps/kcertpart/*.rc
#
%dir %_datadir/apps/katepart/
%_datadir/apps/katepart/*.rc
%dir %_datadir/apps/katepart/syntax/
%_datadir/apps/katepart/syntax/*.xml
%_datadir/apps/katepart/syntax/*.template
%_datadir/apps/katepart/syntax/*.dtd
#
%dir %_datadir/apps/kcm_componentchooser/
%_datadir/apps/kcm_componentchooser/*.desktop
#
%dir %_datadir/apps/kstyle/pixmaps/
%_datadir/apps/kstyle/pixmaps/*.png

%dir %_datadir/apps/kstyle/pixmaps/riscos/
%_datadir/apps/kstyle/pixmaps/riscos/*.png
#
%dir %_datadir/apps/ktexteditor_insertfile/
%_datadir/apps/ktexteditor_insertfile/*.rc

%dir %_datadir/apps/ktexteditor_isearch/
%_datadir/apps/ktexteditor_isearch/*.rc

%dir %_datadir/apps/ktexteditor_kdatatool/
%_datadir/apps/ktexteditor_kdatatool/*.rc
#
%dir %_datadir/autostart/
%_datadir/autostart/*.desktop
#
%dir %_iconsdir/hicolor/
%_iconsdir/hicolor/index.desktop
#
#


%dir %_iconsdir/crystalsvg/
%dir %_iconsdir/crystalsvg/128x128/
%dir %_iconsdir/crystalsvg/128x128/mimetypes/
%_iconsdir/crystalsvg/128x128/mimetypes/*.png



%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png
%dir %_iconsdir/crystalsvg/16x16/devices/
%_iconsdir/crystalsvg/16x16/devices/*.png

%dir %_iconsdir/crystalsvg/16x16/filesystems/
%_iconsdir/crystalsvg/16x16/filesystems/*.png

%dir %_iconsdir/crystalsvg/16x16/mimetypes/
%_iconsdir/crystalsvg/16x16/mimetypes/*.png

%dir %_iconsdir/crystalsvg/16x16/mimetypes/pdf/
%_iconsdir/crystalsvg/16x16/mimetypes/pdf/*.png

%dir %_iconsdir/crystalsvg/22x22
%dir %_iconsdir/crystalsvg/22x22/actions/
%_iconsdir/crystalsvg/22x22/actions/*.png
%dir %_iconsdir/crystalsvg/22x22/mimetypes/
%_iconsdir/crystalsvg/22x22/mimetypes/*.png

%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/actions/
%_iconsdir/crystalsvg/32x32/actions/*.png
%dir %_iconsdir/crystalsvg/32x32/devices/
%_iconsdir/crystalsvg/32x32/devices/*.png
%dir %_iconsdir/crystalsvg/32x32/filesystems/
%_iconsdir/crystalsvg/32x32/filesystems/*.png
%dir %_iconsdir/crystalsvg/32x32/mimetypes/
%_iconsdir/crystalsvg/32x32/mimetypes/*.png

%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/actions/
%_iconsdir/crystalsvg/48x48/actions/*.png
%dir %_iconsdir/crystalsvg/48x48/devices/
%_iconsdir/crystalsvg/48x48/devices/*.png
%dir %_iconsdir/crystalsvg/48x48/filesystems/
%_iconsdir/crystalsvg/48x48/filesystems/*.png
%dir %_iconsdir/crystalsvg/48x48/mimetypes/
%_iconsdir/crystalsvg/48x48/mimetypes/*.png

%dir %_iconsdir/crystalsvg/64x64/
%dir %_iconsdir/crystalsvg/64x64/actions/
%_iconsdir/crystalsvg/64x64/actions/*.png
%dir %_iconsdir/crystalsvg/64x64/devices/
%_iconsdir/crystalsvg/64x64/devices/*.png
%dir %_iconsdir/crystalsvg/64x64/filesystems/
%_iconsdir/crystalsvg/64x64/filesystems/*.png
%dir %_iconsdir/crystalsvg/64x64/mimetypes/
%_iconsdir/crystalsvg/64x64/mimetypes/*.png
%_iconsdir/crystalsvg/*.desktop

%dir %_iconsdir/crystalsvg/scalable/
%dir %_iconsdir/crystalsvg/scalable/apps/
%_iconsdir/crystalsvg/scalable/apps/*.svgz
%dir %_iconsdir/crystalsvg/scalable/devices/
%_iconsdir/crystalsvg/scalable/devices/*.svgz
%dir %_iconsdir/crystalsvg/scalable/filesystems/
%_iconsdir/crystalsvg/scalable/filesystems/*.svgz


#
%dir %_datadir/applnk/Settings/Components/
%_datadir/applnk/Settings/Components/*.desktop

%_datadir/locale/*

#
%dir %_iconsdir/mdk-hicolor/
%_iconsdir/mdk-hicolor/*
#
#
%dir %_datadir/mimelnk/
%_datadir/mimelnk/magic
#
%dir %_datadir/mimelnk/all/
%_datadir/mimelnk/all/*.desktop
#
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
%dir %_datadir/mimelnk/audio/
%_datadir/mimelnk/audio/*.desktop
#
%dir %_datadir/mimelnk/image/
%_datadir/mimelnk/image/*.desktop
#
%dir %_datadir/mimelnk/inode/
%_datadir/mimelnk/inode/*.desktop
#
%dir %_datadir/mimelnk/message/
%_datadir/mimelnk/message/*.desktop
#
%dir %_datadir/mimelnk/text/
%_datadir/mimelnk/text/*.desktop
#
%dir %_datadir/mimelnk/video/
%_datadir/mimelnk/video/*.desktop
#
%dir %_datadir/mimelnk/multipart/
%_datadir/mimelnk/multipart/*.desktop
#
%dir %_datadir/services/
%_datadir/services/*.desktop
%_datadir/services/*.kimgio
%_datadir/services/*.protocol
#
%dir %_datadir/services/kded/
%_datadir/services/kded/*.desktop
#
#
%dir %_datadir/servicetypes/
%_datadir/servicetypes/*.desktop


%files static-devel
%defattr(-,root,root,-)
%_libdir/*.a
%_libdir/kde3/*.a
%_libdir/kde3/plugins/
%_libdir/kde3/plugins/designer/*.a
%_libdir/kde3/plugins/styles/*.a

%files devel
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kspell/
%doc %_docdir/HTML/en/kspell/*
#
#
#
%_includedir/*.h
%_includedir/*.pot
%_includedir/*.tcc
#
%dir %_includedir/dom/
%_includedir/dom/*.h
#
%dir %_includedir/kdeprint/
%_includedir/kdeprint/*.h
#
%dir %_includedir/kdeprint/lpr/
%_includedir/kdeprint/lpr/*.h

%dir %_includedir/kdesu/
%_includedir/kdesu/*.h
#
%dir %_includedir/kio/
%_includedir/kio/*.h
#
%dir %_includedir/kjs/
%_includedir/kjs/*.h
#
%dir %_includedir/kparts/
%_includedir/kparts/*.h
#
%dir %_includedir/libkmid/
%_includedir/libkmid/*.h
#
%dir %_includedir/ktexteditor/
%_includedir/ktexteditor/*.h
#
%dir %_includedir/kabc/
%_includedir/kabc/*.h

%dir %_includedir/kate/
%_includedir/kate/*.h

%dir %_includedir/arts/
%_includedir/arts/*.h

%dir %_includedir/kmediaplayer/
%_includedir/kmediaplayer/*.h


%changelog
* Tue Mar 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-58mdk
- Add patch226-227 : fix from branch
=> Fix kdocwidget #55477 "KDockWidget cannot be maximized when it is a toplevel window "
=> fix khtml "- referrers should never be null
- fix progress counting bug in frames with a lot of embedded objects
- reject crossprotocol accesses in JS generated windows"


* Mon Mar 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-57mdk
- Fix kdirwatch + fam ( patch from Fred Lepied )
- Fix mdk default color 

* Sun Mar 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-56mdk
- Add patch222: fix mem leak  in dcopclient 'bug 53360'
- Add patch223: fix kate redraw error 

* Sat Mar 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-55mdk
- Add patch220: fix from kde3.1
Fix kate "Fix for bug 54205: pageup/pagedown doesn't honour wrap cursor setting in
non-dynamic word wrap mode."
"date: 2003/03/07 07:50:23;  author: rodda;  state: Exp;  lines: +40 -32
Backport fix for redo items not cleared on new edit."
- Fix desktop icon size
- Add patch221: fix kate "make Ctrl-Right work like any other Qt/KDE textwidget"
"better word-jumping"

* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-54mdk
- Add patch217 : fix from kde3.1 "In KRecentDirs::add() : make sure the added dir is first in history, even if it's been visited before"
- Add patch218 : fix icon text spacing
- Fix patch200 : default mdk style
- Add patch219 : fix aspell as default

* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-53mdk
- Add patch215 :"Suppress authentication prompt when listing dirs for URL completion."
" Don't exit prematurely on signals." in kioslave
" Modifier fix in kfileiconview"
"backport WIDTH and HEIGHT for <embed> inside <object>" in khtml
"KIOSK: KAccel::insert() can fail due to KIOSK settings, no need to get upset
about it :)" in kaction
"make LANG=de_DE konqueror show it in german when no KDE config is there" in kconfig
"Backport fixes for crashes only I have ever seen (so far as I know), related
to folding + dynamic wrapping" in kate
- Add patch216: fix kate
"Temporary band-aid fix for bug 53392: further text area redrawing problems

I think this is a Qt bug (pending paint events not translated by a call to
QWidget::scroll()), have asked the trolls..."


* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-52mdk
- Add patch214: fix from kde3.1 branch "Support CWD when starting .desktop files (Path= entry)", "fix close application when we close session"

* Tue Mar 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-51mdk
- Add patch213: "pressing return activates slotOk twice" fix in kfiledialogbox

* Tue Mar 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-50mdk
- Add patch 210-211-212 : patch from kde3.1branch
=> fix saving session
=> fix kbuildsyscoca : "Wait for already running instance to finish first."
=> fix klistview : Fix menu
=> fix ksysemtray : backport from head
=> fix kcomboview regression
=> fix kioslave/ftp : "Add timeout to passive connection as well."

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-49mdk
- Add patch209 : fix kfileiconview bug

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-48mdk
- Add patch208 : fix keramik

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-47mdk
- Update code ( fix kio_help =)

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-46mdk
- Update code 

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-45mdk
- Add patch207 : fix titlebar mdk color

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-44mdk
- Update code 

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-43mdk
- Add patch206: Fix David Baudens bug, add mozilla extension in import mozilla bookmark dialogbox

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-42mdk
- Update code ( fix crash etc .. )

* Wed Feb 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-41mdk
- Add patch205: fix David Baudens bug, add focus to location lineedit
after click on speedbar in kdialogbox

* Wed Feb 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-40mdk
- Fix mdk default color

* Wed Feb 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-39mdk
- Update code ( fix some bugs )

* Tue Feb 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-38mdk
- Add patch204: fix launch diskdrake

* Tue Feb 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-37mdk
- Update code ( fix kssl etc... )

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-36mdk
- Update code ( fix kdesu )

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-35mdk
- Add patch203 : fix default kde font

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-34mdk
- Fix compile

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-33mdk
- Update code ( fix thai charset )

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-32mdk
- Update code ( fix khtml, kcursor )

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-31mdk
- Fix khtml, kinit

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-30mdk
- Update code ( fix khtml, copy/paste etc ...)

* Wed Feb 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-29mdk
- Update code 

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-28mdk
- Add patch116 : fix crash in www.lik-sang.com bug found by Nicolas Chipaux

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-27mdk
- Add patch201: Add mdk string

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-26mdk
- Add patch200: load default mdk style

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-25mdk
- Fix khtml

* Fri Feb 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-24mdk
- Fix kjs

* Thu Feb 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-23mdk
- Fix kioslave http, khtml

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-22mdk
- Fix small bug

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-21mdk
- Update code ( fix ksock etc...)

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-20mdk
- Add patch117 : fix mem leak in dcop

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-19mdk
- Add patch116: Fix bugf found by David Baudens, don't display document item in kdialogfile when document directory == homedir

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-18mdk
- Update code ( fix kate cursor position )

* Mon Feb 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-17mdk
- Add patch115 : readd clear khtml clear history

* Mon Feb 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-16mdk
- Update code 

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-15mdk
- Add patch117 : patch from kde_3_1_branch fix khtml bug

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-14mdk
- Add patch116 : patch from kde_3_1_branch

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-13mdk
- Add patch115 : patch from kde_3_1_branch

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-12mdk
- Add patch114 : fix khtml spell check mem leak

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-11mdk
- Add patch113 : patch from kde_3_1_branch

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Update code ( fix kdeprint, save some memory we don't need)
- Add patch110/111 : add spell check in khtml text area

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Update code ( fix html bugs)

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code (fix compile with gcc3.3)

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code ( fix kate autohide cursor, Fix knotify dialogbox)

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code (fix other khtml crash backport for head)

* Sat Feb 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code from kde_3_1 branch (fix khtml crash)

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Add patch112-113 : fix from kde_3_1_branch

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Add patch110-111: fix from kde_3_1_branch

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Update code from CVS ( fix khtml/kio/artskde/ etc...)

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Mon Jan 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.12mdk
- Add patch111 : Fix javascript crash, bug reported by Pixel, fixed by David Faure

* Fri Jan 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.11mdk
- Add patch110 : fix find non-breakable-space Bug found by Dadou

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.10mdk
- Compile static lib

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.9mdk
- Remove debug

* Fri Jan 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.8mdk
- Rebuild again

* Fri Jan 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.7mdk
- Fix kdelibs-common requires

* Fri Jan 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.6mdk
- Fix again spec file

* Fri Jan 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.5mdk
- Split package

* Thu Jan 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.4mdk
- Rebuild against openSSL
- Fix requires

* Mon Jan 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Add patch109 : fix invokehelp function

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Reactivate patch30-patch31-patch19

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Fri Dec 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.4mdk
- Rebuild against new glibc

* Wed Dec 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.3mdk
- Add patch108 : disable selectall function in kefind

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Add patch107 : fix insert separator in kate programm

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.3mdk
- Rebuild

* Thu Nov 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Add patch106 : fix double click on klistbox

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- Rc3

* Mon Nov 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.4mdk
- Fix spec file

* Fri Nov 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.3mdk
- Add patch105 : fix double-click on treeview

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Rebuild with fontconfig

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- RC2

* Mon Nov 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.3mdk
- Add patch104 : Add tryExec in servicemenu entry

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Add patch 103 : add shortcut for view page information CTRL+I as Mozilla
and CRTL+U for View Document source

* Tue Oct 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- RC1

* Tue Oct 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.12mdk
- Fix buildrequires reported by "Stefan van der Eijk" <stefan@eijk.nu>

* Mon Oct 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.11mdk
- Add patch102 : use double click to active file

* Tue Oct 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.10mdk
- add patch101 : patch to send image by mail directly

* Thu Oct 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.9mdk
- Add patch100 : patch from David Faure : fix crash when we create directory + fam.

* Thu Oct 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.8mdk
- Re-enable fam, perhaps it will work ...

* Wed Oct 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.7mdk
- Add patch 31 : Add item to clear completion history in khtml/lineedit

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.6mdk
- Fix kdelibs-devel group
- Fix rpmlint warning

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.5mdk
- Add patch30 : change in kfiledialogbox temporary directory
=> change from /tmp/kde-* to ~/tmp

* Sat Oct 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.4mdk
- Reactivate patch 4 
- Clean spec file : remove all unused patch

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Reactivate patch24 ktip too big

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Fix spec file
- Reactivate patch 9-17-18-19-22-23-29
- Remove unused patch

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2

* Fri Oct 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Sat Sep 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-30mdk
- Update code : fix security into khtml

* Fri Sep 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-29mdk
- Update code from cvs : fix bidi in khtml

* Fri Sep 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-28mdk
- Add patch37 : fix cupsd dialogbox

* Fri Sep 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-27mdk
- Add patch36 : kdeprint used klineeditdlg

* Fri Sep 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-26mdk
- Improved Patch35 : fix by David Faure

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-25mdk
- Complet rebuild

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-24mdk
- Add patch35 : Patch from David Faure fix ask once download pluggins.

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-23mdk
- Update code from kde_3_0_branch (Patch from David Faure fix dnd )

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-22mdk
- Add patch34 : fix mem leak in kate

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-21mdk
- Fix buildrequires on MDK8.1/8.0/8.2

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-20mdk
- Complete rebuild

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-19mdk
- Add patch33 : fix crash konqueror + java

* Fri Aug 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-18mdk
- 

* Fri Aug 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-17mdk
- Update code fix a crash java+khtml

* Fri Aug 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-16mdk
- Update code from kde_3_0_branch fix a bug in kprocess

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-15mdk
- Update code from kde_3_0_branch : fix a bug in kthemestyle

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-14mdk
- Update code from kde_3_0_branch fix khtml bug :"fix newline handling in <script> inside <select>" bug in  "http://www.webmastermac.com/macintosh/whymac/xvsxp/index.shtml"

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-13mdk
- Update code from KDE_3_0_BRANCH : fix khtml/kjs from David Faure (fix toolinux.org )

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-12mdk
- Add patch30 : fix konqueror crash when we delete a directory in dirtree mode (patch from David Faure)
- Add patch31 : Fix big in kfiledialogbox

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-11mdk
- Update code from KDE_3_0_BRANCH (fix bug in kioslave/http)

* Sun Aug 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-10mdk
- Add patch28 : fix klistview ensure that item is visible when we rename item
- Add patch29 : Preview icons by default in kfileiconview.

* Fri Aug 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-9mdk
- Update code from kde_3_0_branch (patch from Ben Reser <ben@reser.org>
merged into : kcompletion+ xinerama) khtml fix from David Faure

* Thu Aug 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-8mdk
- Add patch27 fix move-up/down in klistview.

* Thu Aug 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add kjs fix from David Faure

* Wed Aug 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Clean spec file

* Tue Aug 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Update code

* Tue Aug 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Fix patch 27

* Tue Aug 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Patch27 : Fix fam problem with read-only file

* Tue Aug 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch26 : Don't scan /dev directory

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3
- Fix requires


* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-30mdk
- Compile with -O2
- Fix requires

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-29mdk
- Rebuild against new gcc3.2
- Remove debuggage

* Fri Aug 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-28mdk
- Fix patch25 : Fix crash when we add new printer

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-27mdk
- Fix  patch21

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-26mdk
- Fix update from MDK8.2

* Sat Aug 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-25mdk
- Update from kde_3_0_branch (fix kio https/ kinit)
- Fix patch24 

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-24mdk
- Add patch24 : Fix ktip too bigger + qt3.0.5

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-23mdk
- Update From kde_3_0_branch (other David Faure khtml fix)

* Thu Aug 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-22mdk
- Fix patch19 : In kdialogfile use /mnt/floppy for floppy mount point.

* Thu Aug 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-21mdk
- Fix patch23 : Test if directory ($HOME/Documents ) exists

* Thu Aug 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-20mdk
- Add patch23 : default document path ($HOME/Documents/ )

* Wed Jul 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-19mdk
- Add patch22 : default mdk color

* Tue Jul 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-18mdk
- Update from KDE_3_0_BRANCH ( Backport David Faure khtml fix )

* Tue Jul 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-17mdk
- Patch21 : Fix Dadou crash when we create directory + fam

* Sun Jul 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-16mdk
- Add patch20: Patch from David Faure : fix crash in www.mandrakeexpert.com/index2.php

* Sun Jul 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-15mdk
- Add patch19 : Add cdrom entry in kfiledialogbox.

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-14mdk
- update code from CVS
- Merge patch18 and patch19

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-13mdk
- Add patch18 : Distribution list use klineeditdlg

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-12mdk
- Add patch 17 : Patch from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>
fix standard librairie directory on ix64 ($prefix/lib64 )

* Thu Jul 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-11mdk
- Change test : 8.3 -> 9.0 
- Add fixes from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.0.2-11mdk:
	- Set QTDIR accordingly
	- Search for qt/kde libraries in the right directories
	- Rpmlint fixes: strange-permission, configure-without-libdir-spec

* Mon Jul 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-10mdk
- Rebuild against qt3 3.0.5 (necessary to load style plugins)
- Update code from CVS

* Thu Jul 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-9mdk
- Add patch15 : Use klineeditdlg in kfiledialogbox.

* Thu Jul 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-8mdk
- Add patch14 : Add mkdir item to toolbar in kfiledialog.

* Wed Jul 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Add patch13 : fix item position into file dialogbox

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Add patch12 : fix kate mem leak

* Mon Jul 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- Add patch11 : Disable ok button in kate find dialogbox when text is empty

* Mon Jul 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Add patch10 : Remove SelectAll entry when we are in image viewer mode

* Sat Jul 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Add patch9 : => change default preview file size (2Mo)

* Sat Jul 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Fix buildrequires
- Update code from kde_3_0_branch

* Sat Jun 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Fri Jun 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-13mdk
- Fix patch10 fix from Dirk Muller.

* Thu Jun 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-12mdk
- Add patch10 fix MNF problem with konqueror patch from David Faure 
Thanks a lot.

* Thu Jun 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-11mdk
- Rebuild with debug otherwise it's not easy to debug kde

* Sun Jun 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-10mdk
- patch9: some khtml fix 

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-9mdk
- Fix dependency

* Sat May 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-8mdk
- Fix spec file

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-7mdk
- Fix requires

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- fix epoch

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- Fix spec file

* Wed May 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Use kdelibs updated

* Tue May 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Add patch8 fix ugc.fr thanks to David Faure

* Wed May 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Fix spec file

* Thu May 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- Obsolete kde2.x

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-11mdk
- Rebuild against gcc-3.1

* Fri May 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-10mdk
- Update from kde_3_0_BRANCH

* Sat Apr 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-9mdk
- Rebuild against libalsa2

* Wed Apr 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-8mdk
- Remove 'fomit-frame-pointer'

* Mon Apr 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-7mdk
- Update code from kde_3_0_BRANCH

* Sat Apr 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- Reactivate fam for 8.3
- Don't apply "sharing directory" patch for 8.0 or 8.1

* Sat Apr 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Reactivate file sharing patch
- enable "enable-fast-malloc=full" just for ix86 it doesn't work for other arch


* Fri Apr 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Add --enable-fast-malloc=full option in configure (increase startup speed)

* Sun Apr 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove duplicate line

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Reactivate patch4
- Remove patch5

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- KDE3.0


* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.3mdk
- Fix buildrequires for 8.1/8.2

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.2mdk
- Fix spec file

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Thu Mar 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- RC2

* Sun Mar 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.5mdk
- update with CVS branch

* Sat Mar 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.4mdk
- Rebuild with new qt3

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix spec

* Tue Feb 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- update beta2

* Fri Jan 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Jan 12 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.8mdk
- Fix build on 8.1

* Sun Dec 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.7mdk
- Allow KDE 2 and KDE 3 to be installed in same time (lot of modifications,
  see CVS for details)
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Fix previous changelog
- Remove 7.2 support (too old to be easily supported)

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.6mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sun Dec 09 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- Reapply some patch

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- kde 3.0 beta1

* Sat Dec 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Clean spec file 

* Wed Nov 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix 

* Wed Nov 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Some fix

* Mon Nov 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
